Subject: ^ and $

From: John (Most modern computers would break if you stood on them) Mackin <john@ civil.su.oz.au>
Date: Sun, 21 Feb 1993 05:02:04 -0500

Unfortunately,

    	x/\n? +/ v/\n/ c/ /

doesn't mean the same thing as

	x/ +/ v/^/ c/ /

as long as the selection consists of whole lines, as I posited.  I
thought along those paths before sending my first mail.  The suggested
command chews up the indentation of the first line, since there is no
\n inside the selection for the x command to match there.

I think there may be no way to express this without a way to match the null
string at the beginning of a line, the current meaning of `^'.

OK,
John.